# CREDIT_CARD_APPLICATION

The status of a credit card application has changed.

Endpoint: POST credit_card_application
Version: 1.0

## Request fields (application/json):

  - `id` (string)
    The ID of the credit card application.
    Example: "6e6fefdcd553468fb04555499f060b18ccla"

  - `external_customer_id` (string)
    Arbitrary ID provided by you (e.g., membership ID).

  - `customer_id` (string)
    ID of the person who applied for the credit card.
    Example: "0ba2211cab11af6094d60ead81f2bd9dcper"

  - `account_id` (string)
    ID of the Solaris account associated with the credit card.
    Example: "c2a13abed3b0686ab5343aa748d7f2fecacc"

  - `account_iban` (string)
    IBAN of the Solaris account associated with the credit card.
    Example: "DE53110101013323159108"

  - `reference_account_id` (string)
    ID of the reference account associated with the credit card.
    Example: "d1ed02309ca52b5e636e215ff82b2d52sddm"

  - `status` (string)
    The current status of the credit card.
    Enum: "PENDING", "IN_SCORING", "PRE_APPROVED", "FINALIZING", "FINALIZED", "DECLINED", "TERMINATED", "WAITING_FOR_IDENTIFICATION", "IN_KNE_SCORING"

  - `product_type` (string)
    Indicates the type of credit card.
    Enum: "CONSUMER_CREDIT_CARD", "FREELANCER_CREDIT_CARD", "BUSINESS_CREDIT_CARD"

  - `billing_start_date` (string)
    The start date of the current billing cycle.
    Example: "2022-07-01"

  - `billing_end_date` (string)
    The end date of the current billing cycle.
    Example: "2022-07-28"

  - `approved_limit` (object)
    The credit card limit approved for the customer by Solaris.
    Example: {"value":20000,"unit":"cents","currency":"EUR"}

  - `approved_limit.value` (integer)
    The amount (in Euro cents).
    Example: 20000

  - `approved_limit.unit` (string)
    The unit.
    Example: "cents"

  - `approved_limit.currency` (string)
    The currency.
    Example: "EUR"

  - `requested_limit` (object)
    The credit card limit requested by the customer.
    Example: {"value":50000,"unit":"cents","currency":"EUR"}

  - `requested_limit.value` (integer)
    The amount (in Euro cents).
    Example: 50000

  - `requested_limit.unit` (string)
    The unit.
    Example: "cents"

  - `requested_limit.currency` (string)
    The currency.
    Example: "EUR"

  - `current_limit` (object)
    The current limit applied to the credit card. Can be less than or equal to the approved_limit.
    Example: {"value":15000,"unit":"cents","currency":"EUR"}

  - `current_limit.value` (integer)
    The amount (in Euro cents).
    Example: 15000

  - `current_limit.unit` (string)
    The unit.
    Example: "cents"

  - `current_limit.currency` (string)
    The currency.
    Example: "EUR"

  - `decline_reasons` (array)
    An array of reasons why the credit card application was declined.
    Enum: "DECLINED_BY_SCORING"

  - `repayment_options` (object)
    Object containing information about the customer's repayment plan for the credit card.

  - `repayment_options.upcoming_type` (string)
    Allows you to change the type of credit card as of the next billing cycle. Options are FULL (charge) and PARTIAL (revolving).
    Enum: "FULL", "PARTIAL"

  - `repayment_options.minimum_amount` (object)
    Minimum amount of the used limit to be repaid at the end of each billing cycle. Only relevant if upcoming_type is set to PARTIAL.

  - `repayment_options.minimum_amount.value` (integer)
    The amount (in Euro cents).
    Example: 100

  - `repayment_options.minimum_amount.unit` (string)
    The unit.
    Example: "cents"

  - `repayment_options.minimum_amount.currency` (string)
    The currency.
    Example: "EUR"

  - `repayment_options.minimum_percentage` (integer)
    Minimum percentage of the used limit to be repaid at the end of each billing cycle. Only relevant if upcoming_type is set to PARTIAL.
    Example: 2

  - `repayment_options.current_type` (string)
    Indicates the type of the credit card. Possible values are FULL (charge) and PARTIAL (revolving).
    Enum: "FULL", "PARTIAL"

  - `repayment_options.upcoming_billing_cycle` (string)
    Indicates the next billing interval for the card.
    Enum: "WEEKLY", "BIWEEKLY", "MONTHLY", "BIMONTHLY", "QUARTERLY"

  - `repayment_options.current_billing_cycle` (string)
    Indicates the current billing interval for the credit card.
    Enum: "WEEKLY", "BIWEEKLY", "MONTHLY", "BIMONTHLY", "QUARTERLY"

  - `repayment_options.grace_period_in_days` (integer)
    Indicates number of days in the grace period for paying off the required amount in each billing cycle.
    Example: 15

  - `repayment_options.minimum_amount_lower_threshold` (object)
    The lower threshold for the minimum payment amount that can be applied to the credit card. Solaris will set this value.

  - `repayment_options.minimum_amount_lower_threshold.value` (integer)
    The amount (in Euro cents).
    Example: 100

  - `repayment_options.minimum_amount_lower_threshold.unit` (string)
    The unit.
    Example: "cents"

  - `repayment_options.minimum_amount_lower_threshold.currency` (string)
    The currency.
    Example: "EUR"

  - `repayment_options.minimum_amount_upper_threshold` (object)
    The upper threshold for the minimum payment amount that can be applied to the credit card. Solaris will set this value.

  - `repayment_options.minimum_amount_upper_threshold.value` (integer)
    The amount (in Euro cents).
    Example: 100

  - `repayment_options.minimum_amount_upper_threshold.unit` (string)
    The unit.
    Example: "cents"

  - `repayment_options.minimum_amount_upper_threshold.currency` (string)
    The currency.
    Example: "EUR"

  - `repayment_options.minimum_percentage_lower_threshold` (integer)
    The lower threshold for the minimum percentage of the balance that you may require customers to pay in each billing cycle.
    Example: 3

  - `repayment_options.minimum_percentage_upper_threshold` (integer)
    The upper threshold for the minimum percentage of the balance that you may require customers to pay in each billing cycle.
    Example: 20

  - `scoring_options` (any)
    Object containing information about the scoring for the credit card application.

  - `in_dunning` (boolean)
    Boolean value to indicate whether the credit card is currently subject to the dunning process.

  - `created_at` (string)
    The date & time when the credit card application was created.
    Example: "2023-07-26T11:59:52+00:00"

  - `qes_at` (string)
    The date of QES completion.
    Example: "2022-07-28"

  - `active_termination_id` (string)
    ID of the termination of the credit card application.
    Example: "c7184779-3a57-5c8c-8ef4-c3aec9528531"

  - `repayment_type_switch_available_date` (string)
    The date when switch to another repayment type is possible.
    Example: "2022-07-28"


## Response 200 fields
